package com.hand.hls.dp.service;

import com.hand.hap.core.IRequest;
import com.hand.hap.core.ProxySelf;
import com.hand.hap.system.dto.ResponseData;
import com.hand.hap.system.service.IBaseService;
import com.hand.hls.dp.dto.SysDpExecuteHistory;

import javax.servlet.http.HttpServletResponse;

/**
 * @author <a href="mailto:zhangnet14@gmail.com">Spencer Chang</a>
 * @date 2020/4/18 15:57
 * @since
 */
public interface SysDpExecuteHistoryService extends IBaseService<SysDpExecuteHistory>, ProxySelf<SysDpExecuteHistoryService> {
     void query4Verify(IRequest requestContext, final String ip, final String dpContext) throws Exception;
     void query(IRequest requestContext, HttpServletResponse response, final String ip, final String dpContext) throws Exception;
     ResponseData insert(IRequest requestContext, final String ip, final String dpContext);
     ResponseData update(IRequest requestContext, final String ip, final String dpContext);
     ResponseData delete(IRequest requestContext, final String ip, final String dpContext);
     ResponseData ddl(IRequest requestContext, final String ip, final String dpContext);
     void insertSysDpExecuteHistory(IRequest requestContext, SysDpExecuteHistory sysDpExecuteHistory);
    ResponseData execute(IRequest requestContext, final String ip, final String dpContext) throws Exception;
}
